
From: Oleg Nesterov <oleg@tv-sign.ru>

There is no point in setting ra->prev_page before 'goto out', it will be
overwritten anyway.

Signed-off-by: Oleg Nesterov <oleg@tv-sign.ru>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/readahead.c |    5 +----
 1 files changed, 1 insertion(+), 4 deletions(-)

diff -puN mm/readahead.c~page_cache_readahead-unneeded-prev_page-assignments mm/readahead.c
--- 25/mm/readahead.c~page_cache_readahead-unneeded-prev_page-assignments	2005-01-25 10:00:58.418561128 -0800
+++ 25-akpm/mm/readahead.c	2005-01-25 10:01:00.959174896 -0800
@@ -432,7 +432,6 @@ page_cache_readahead(struct address_spac
 
 	if (newsize == 0 || (ra->flags & RA_FLAG_INCACHE)) {
 		newsize = 1;
-		ra->prev_page = offset;
 		goto out;	/* No readahead or file already in cache */
 	}
 	/*
@@ -443,7 +442,6 @@ page_cache_readahead(struct address_spac
 	if ((ra->size == 0 && offset == 0)	/* first io and start of file */
 	    || (ra->size == -1 && ra->prev_page == offset - 1)) {
 		/* First sequential */
-		ra->prev_page  = offset + newsize - 1;
 		ra->size = get_init_ra_size(newsize, max);
 		ra->start = offset;
 		if (!blockable_page_cache_readahead(mapping, filp, offset,
@@ -475,7 +473,6 @@ page_cache_readahead(struct address_spac
 	 */
 	if ((offset != (ra->prev_page+1) || (ra->size == 0))) {
 		ra_off(ra);
-		ra->prev_page  = offset + newsize - 1;
 		blockable_page_cache_readahead(mapping, filp, offset,
 				 newsize, ra, 1);
 		goto out;
@@ -545,7 +542,7 @@ page_cache_readahead(struct address_spac
 
 out:
 	ra->prev_page = offset + newsize - 1;
-	return(newsize);
+	return newsize;
 }
 
 /*
_
